Skyrim Script Extender для The Elder Scrolls V: Skyrim

Skyrim Script Extender или SKSE — ресурс для создателей модификаций, который расширяет скриптовые возможности Skyrim. Он никак не затрагивает основные файлы, так что вас не ожидают другие постоянные эффекты. Авторы запретили выкладывать его где-либо, так что по ссылке выше вы перейдёте на сайт создателей.

Совместимость:

SKSE будет поддерживать последнюю версию Skyrim, доступную в Steam и ТОЛЬКО её (на текущий момент это 1.9.32.0.*). Когда новая версия выйдет, мы обновим наши файлы настолько быстро, насколько это вообще возможно — пожалуйста будьте терпеливы. Пока ещё не было выпущено никакого редактора.

Требования:

Нет

Информация для создателей модификаций

Если ваш мод требует SKSE, тогда предоставьте ссылку на главный сайт SKSE <http://skse.silverlock.org/> вместо того, чтобы упаковывать его с вашим модом. Будущие версии SKSE не будут совместимы со старыми версиями модификаций, так что включение старой версии SKSE может вызвать недоумение или сломать другие моды, которые требуют более новую версию.

Когда ваш мод загружается, используйте команду GetSKSERelease, чтобы убедиться в совместимости версии SKSE, которая установлена.

if GetSKSERelease < 5
MessageBox «Эта модификация требует более новую версию SKSE.»
endif

FAQ или частозадаваемые вопросы

Игра не работает или странно себя ведёт:

 

— Дайте нам знать что вы сделали перед тем, как у вас всё поломалось и мы попробуем исправить эту ошибку

 

Будет ли версия для Xbox 360 или PS3?

— Нет

Мой антивирус сообщает, что в skse_loader есть вирус!

— Это не вирус. Чтобы расширить Skyrim и редактор к нему, мы используем технику под названием «внедрение DLL», чтобы загрузить наш код. Эта техника также используется вирусами, поэтому некоторые антивирусы могут посчитать наш файл за вирус. Рекомендуем добавить наш файл в список исключений в правилах антивируса.

Могу ли я модифицировать и выпустить свою собственную версию SKSE, основанную на включенном вами исходном коде?

- Нет. Наиболее подходящий для вас способ отредактировать его — написать плагин. Если у вас возникли какие-то вопросы, то свяжитесь с нами по адресам, указанным ниже.

Как я могу написать плагин для SKSE?

- Изучите PluginAPI.h, а также вы можете посмотреть на пример проекта, включённого в папках с исходниками

Могу ли я включать SKSE в качестве части компоновки плагинов (солянки) или загружать их на свои сайты?

— Нет. Вам можно лишь предоставить ссылку на http://skse.silverlock.org/ и всё. В некоторых случаях могут быть исключения — свяжитесь с нами по адресам ниже. Это означает, что если вы увидите модификацию, которая загружена куда-то, кроме http://skse.silverlock.org/, тогда они нарушают авторские права.

Работает ли SKSE с «4 гигабайта Skyrim»

— Да, используйте

Скачать Skyrim Script Extender

Поделиться в соц. сетях
Автор: Ian, Stephen и Paul
Версия: 1.6.16
Язык: Русский
Перевод: Не требуется
Опубликовал: RJ
Размер: ~260 КБ
Загрузок: 7214
Просмотров: 23194

Оставлено 6 комментариев
avatar
  0    Спам
1
SKSE не пашет, пишет обновите скайрим..хотя стоит 1.3.7.0
Че делать?
avatar
  0    Спам
2
Недавно была обновлена английская версия Skyrim. Русская на подходе. Надо немного подождать.
avatar
  0    Спам
3
thx
avatar
  0    Спам
4
После установки новой версии SKSE начинаются глюки с прическами. При генерации персонажа, прическа тупо отваливается, но это не очень важно.
Важно то, что прически начинают отваливаться, например, у бегущих НПЦ, что на вид просто ужасно.
Пробовал устанавливать сие чудо на "чистый" скайрим, не помогло, один фиг проблема в SKSE.
avatar
  0    Спам
5
народ куда установить этот патч?
я что-то с ним не разорбрался...
avatar
  0    Спам
6
При установки послед.в. игра вылетает через 40 секунд sad
Извиняюсь это у меня с игрой что-то не лады .
avatar